[workspace]
resolver = "2"
members = ["dev_tests", "rottlsp", "rottlib"]

[workspace.package]
edition = "2024"

[workspace.lints.clippy]
all = "warn"
nursery = "warn"
pedantic = "warn"

[profile.release]
opt-level = 3 # Optimize for speed
strip = true # Strip symbols from binary
lto = true # Enable link-time optimization
panic = "abort" # Abort on panic
overflow-checks = false # no integer checks
codegen-units = 1 # Reduce number of codegen units to increase optimizations
debug = false # strip all debug info

[profile.flamegraph]
inherits = "dev" # start from release
strip = false
debug = true # full DWARF info for unwinding
split-debuginfo = "unpacked" # keep symbols inside the binary
